Subject: Fwd: Re: Fwd: Re: 8250 LP Double disk drive for the commodore 64

From: "Lance S" <[email-masked]>
Date: Sat Jul 5 15:39:56 2003

Ethan, I'll find out the part that the technician thought was suspect.
If I haven't explained myself clearly enough, the 8250 LP is a double disk 
drive that connects to a commodore 64.

Thanks,
Lance.

----Original Message Follows----
From: Ethan Dicks <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
Subject: Re: Fwd: Re: 8250 LP Double disk drive for the commodore 64
Date: Wed, 2 Jul 2003 18:20:47 -0700 (PDT)

--- Lance S <[email-masked]> wrote:
 > The reason that I'm looking for it is that my father has been using his
 > 8250 to run some software and his has broken. He's had a technichian
 > look at it and some parts are needed. It would be easier to buy another.

What parts?  Drives?  Power Supply?  Main board?  The main board is
about the only thing that really is hard to replace.

I don't know what specific disk drives shipped with the 8250LP, but if
it's the drives themselves, it's probably possible to find an equivalent.

 > As I understand, 1541 drives read / write in a different format to the
 > 8250 drives.

You do have the nub of it.  Completely incompatible.

 > The 8250 is able to write 1Mb to each disk which I don't think
 > the 1541 can do.

The 1541 has half the tracks and half the heads (and less than 25%
total space per diskette)

Good luck in your search.  All of my PET hardware is older than that.
I have never even seen one up close, but they are out there.

-ethan

_________________________________________________________________
Hotmail is now available on Australian mobile phones. Go to  
http://ninemsn.com.au/mobilecentral/signup.asp

---

From: Ethan Dicks <[email-masked]>
Date: Sat Jul 5 15:39:59 2003

--- Lance S <[email-masked]> wrote:
> If I haven't explained myself clearly enough, the 8250 LP is a double
> disk drive that connects to a commodore 64.
> 
> Thanks,
> Lance.

Looks like this:

  http://www.zimmers.net/cbmpics/deieee3.html

Right?

We are all talking about the same thing, but the drive by itself
hooks to a PET.  Your father must have a cartridge for his C-64
that provides an IEEE-488 port.

One possibility is if you can't find an 8250LP is to get a regular
8250 (using the same connection).  Dunno if an SFD-1001 would work
or not... the DOS is not the same, so if your father's application
depends on certain features of the drive itself, it might or might
not be a reasonable substitute.

There was a discussion about 8250LP repair on the CBM-Hackers list
last year.  This article is interesting: 

http://www.softwolves.pp.se/misc/arkiv/cbm-hackers/6/6731.html

It suggests that the "fragile" part is a 6530 - a part made by 
Commodore that was always customized for its particular application.
I've seen them on the KIM-1, in many Commodore disk drives and a
few other places.  Apparently some drives (perhaps the DOS 3.0 ones)
used a daughter card in the 6530 socket with a 6532 (which is generic)
and an external ROM.  

Dunno what's wrong with your father's drive, but if you can get in
front of it, turn it on and watch for flashing lights.  In many cases,
that can narrow down the problem to a few chips.  If it doesn't flash
at all (i.e., it acts totally dead), that helps, too.  Likewise if you
can power it on, "talk to it" (read the error channel), but not read
or write drives.

Depending on the fault, it might actually be easier to fix than replace.
Most "technicians" these days only know how to swap out entire boards
or entire boxes.  If it _is_ a 6530, that's kind of a problem... It's
theoretically possible to fabricate a replacement, but I'm not sure
the CBM community knows enough about that particular model to describe
a functional replacement.  A 4040?  Sure.  Maybe even an old-fashioned
8250.  Not positive about the 8250LP.

Cheers,

-ethan

---

From: [email-masked] (Tony Duell)
Date: Sat Jul 5 15:44:26 2003

> used a daughter card in the 6530 socket with a 6532 (which is generic)

Mine has that, but I thought the chips on the daughtercard were a 6530 
(from which the ROM section is not used, so any 6530 should work), and a 
ROM. Oh, and maybe a bit of glue logic.

> front of it, turn it on and watch for flashing lights.  In many cases,

If the lights keep on flashing when you power up, count the number of 
flashes between pauses. Then post that number. I think it's the same for 
the 8050, for which I have the official service manual...

-tony

---

From: Ethan Dicks <[email-masked]>
Date: Sat Jul 5 15:44:52 2003

--- Tony Duell <[email-masked]> wrote:
> > Commodore that was always customized for its particular application...
> 

Ah... they must have been recycling old 6530s rather than making
new ones.  That's handy to know (I have a few DOS 1 6530s from
the bench of the former local C= dealer that came out of 2040s 
that were upgraded to 4040s; likewise, I have no "4040s", just
upgraded 2040s).
 
> ... 8050, for which I have the service manual...

I also have a wide variety of original C= service manuals (from that
same defunct dealer).  I might have the 8250 manual, but I'm sure
Tony is correct - the flash codes should be the same.

-ethan

---

From: [email-masked] (Tony Duell)
Date: Sat Jul 5 15:45:20 2003

> new ones.  That's handy to know (I have a few DOS 1 6530s from

Yes. I've looked at the schematics and 6530 data sheet, and it's certain 
from the former that the chip is a 6530. The ROM is not used (RSO is tied 
high). Instead, there's a 2716 EPROM, with a 74LS04 inverter to sort the 
chip select out.

Looking at the data sheet, it appears that certain other things were 
mask-selectable, not just the ROM code. Things like whether certain pins 
were port lines or chip selects. So I guess not _all_ 6530s will work. 
But I think all 6530s from CBM drives will.

-tony